### Constructor

# WebKit2WebExtension ContextMenu new_with_items

#### Declaration [src]

    WebKitContextMenu*
    webkit_context_menu_new_with_items (
      GList* items
    )

#### Description [src]

Creates a new `WebKitContextMenu` object with the given items.

Creates a new `WebKitContextMenu` object to be used as a submenu of an existing `WebKitContextMenu` with the given initial items. See also `webkit_context_menu_new()`

#### Parameters

`items` | A list of `None`
| A `GList` of `WebKitContextMenuItem`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `WebKitContextMenu`
| The newly created `WebKitContextMenu` object.
| The caller of the function takes ownership of the data, and is responsible for freeing it.